Package weka.gui.experiment

# Class ExperimenterDefaults

java.lang.Object
weka.gui.experiment.ExperimenterDefaults

All Implemented Interfaces:
  `Serializable`

public class ExperimenterDefaults extends Object implements Serializable
This class offers get methods for the default Experimenter settings in the props file `weka/gui/experiment/Experimenter.props`.

Version:
  $Revision: 7059 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - `PROPERTY_FILE`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTY_FILE`
The name of the properties file

## Constructor Summary

Constructors
Constructor
Description
`ExperimenterDefaults()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`get(String property, String defaultValue)`
returns the value for the specified property, if non-existent then the default value.
`static final String`
`getColumn()`
the comma-separated list of attribute names that identify a column
`static final String`
`getComparisonField()`
returns the name of the field used for comparison
`static final boolean`
`getDatasetsFirst()`
whether datasets or algorithms are iterated first
`static final String`
`getDestination()`
returns the default destination
`static final String`
`getExperimentType()`
returns the default experiment type
`static final String`
`getExtension()`
returns the default experiment extension
`static final int`
`getFolds()`
returns the number of folds used for cross-validation
`static final File`
`getInitialDatasetsDirectory()`
returns the initial directory for the datasets (if empty, it returns the user's home directory)
`static final int`
`getMeanPrecision()`
returns the default precision for the mean
`static final String`
`getOutputFormat()`
returns the classname of the ResultMatrix class, responsible for the output format
`static final Properties`
`getProperties()`
returns the associated properties file
`static final boolean`
`getRemoveFilterClassnames()`
whether the filter classnames in the dataset names are removed by default
`static final int`
`getRepetitions()`
returns the number of repetitions to use
`static final String`
`getRow()`
the comma-separated list of attribute names that identify a row
`static final boolean`
`getShowAverage()`
returns whether the Average is shown by default
`static final boolean`
`getShowStdDevs()`
returns whether StdDevs are shown by default
`static final double`
`getSignificance()`
returns the default significance
`static final String`
`getSorting()`
returns the default sorting (empty string means none)
`static final int`
`getStdDevPrecision()`
returns the default precision for the stddevs
`static final String`
`getTester()`
returns the display name of the preferred Tester algorithm
`static final double`
`getTrainPercentage()`
returns the training percentage in case of splits
`static final boolean`
`getUseClassification()`
whether classification or regression is used
`static final boolean`
`getUseRelativePaths()`
whether relative paths are used by default
`static void`
`main(String[] args)`
only for testing - prints the content of the props file

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTY_FILE

public static final String PROPERTY_FILE
The name of the properties file

See Also:
  - Constant Field Values

## Constructor Details

### ExperimenterDefaults

public ExperimenterDefaults()

## Method Details

### get

public static String get(String property, String defaultValue)
returns the value for the specified property, if non-existent then the default value.

Parameters:
  `property` - the property to retrieve the value for
  `defaultValue` - the default value for the property
Returns:
  the value of the specified property

### getProperties

public static final Properties getProperties()
returns the associated properties file

Returns:
  the props file

### getExtension

public static final String getExtension()
returns the default experiment extension

Returns:
  the extension (incl. dot)

### getDestination

public static final String getDestination()
returns the default destination

Returns:
  the destination

### getExperimentType

public static final String getExperimentType()
returns the default experiment type

Returns:
  the type

### getUseClassification

public static final boolean getUseClassification()
whether classification or regression is used

Returns:
  true if classification

### getFolds

public static final int getFolds()
returns the number of folds used for cross-validation

Returns:
  the number of folds

### getTrainPercentage

public static final double getTrainPercentage()
returns the training percentage in case of splits

Returns:
  the percentage (0-100)

### getRepetitions

public static final int getRepetitions()
returns the number of repetitions to use

Returns:
  the repetitions/runs

### getDatasetsFirst

public static final boolean getDatasetsFirst()
whether datasets or algorithms are iterated first

Returns:
  true if datasets are iterated first

### getInitialDatasetsDirectory

public static final File getInitialDatasetsDirectory()
returns the initial directory for the datasets (if empty, it returns the user's home directory)

Returns:
  the directory

### getUseRelativePaths

public static final boolean getUseRelativePaths()
whether relative paths are used by default

Returns:
  true if relative paths are used

### getTester

public static final String getTester()
returns the display name of the preferred Tester algorithm

Returns:
  the display name
See Also:
  - `Tester`
  - `PairedCorrectedTTester`

### getRow

public static final String getRow()
the comma-separated list of attribute names that identify a row

Returns:
  the attribute list

### getColumn

public static final String getColumn()
the comma-separated list of attribute names that identify a column

Returns:
  the attribute list

### getComparisonField

public static final String getComparisonField()
returns the name of the field used for comparison

Returns:
  the comparison field

### getSignificance

public static final double getSignificance()
returns the default significance

Returns:
  the significance (0.0-1.0)

### getSorting

public static final String getSorting()
returns the default sorting (empty string means none)

Returns:
  the sorting field

### getShowStdDevs

public static final boolean getShowStdDevs()
returns whether StdDevs are shown by default

Returns:
  true if stddevs are shown

### getShowAverage

public static final boolean getShowAverage()
returns whether the Average is shown by default

Returns:
  true if the average is shown

### getMeanPrecision

public static final int getMeanPrecision()
returns the default precision for the mean

Returns:
  the decimals of the mean

### getStdDevPrecision

public static final int getStdDevPrecision()
returns the default precision for the stddevs

Returns:
  the decimals of the stddevs

### getOutputFormat

public static final String getOutputFormat()
returns the classname of the ResultMatrix class, responsible for the output format

Returns:
  the classname
See Also:
  - `ResultMatrix`
  - `ResultMatrixPlainText`

### getRemoveFilterClassnames

public static final boolean getRemoveFilterClassnames()
whether the filter classnames in the dataset names are removed by default

Returns:
  true if filter names are removed

### main

public static void main(String[] args)
only for testing - prints the content of the props file

Parameters:
  `args` - commandline parameters - ignored